Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
slideshow.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZImageCatalogueMain", "Language" )
| $SlideShowHeaderFooter = $ini->variable( "eZImageCatalogueMain", "SlideShowHeaderFooter" )
| $SlideShowOriginalImage = $ini->variable( "eZImageCatalogueMain", "SlideShowOriginalImage" )
if( $SlideShowHeaderFooter=="disabled") | $t
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $slideshow = new eZSlideshow( $CategoryID, eZUser::currentUser(), $Position )
| $image = $slideshow->image()
if(! $image) | else
| $current = $slideshow->currentPosition()

## Variable Documentation

## ◆ $current

$current = $slideshow->currentPosition()

Definition at line 97 of file slideshow.php.

Referenced by ezups\get_rates(), upsRate\get_rates(), eZDateTime\mySQLDateTime(), and ezpTopologicalSort\sort().

## ◆ $image

$image = $slideshow->image()

Definition at line 72 of file slideshow.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 36 of file slideshow.php.

## ◆ $Language

$Language = $ini->variable( "eZImageCatalogueMain", "Language" )

Definition at line 37 of file slideshow.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 65 of file slideshow.php.

## ◆ $slideshow

$slideshow = new eZSlideshow( $CategoryID, eZUser::currentUser(), $Position )

Definition at line 71 of file slideshow.php.

## ◆ $SlideShowHeaderFooter

$SlideShowHeaderFooter = $ini->variable( "eZImageCatalogueMain", "SlideShowHeaderFooter" )

Definition at line 39 of file slideshow.php.

## ◆ $SlideShowOriginalImage

$SlideShowOriginalImage = $ini->variable( "eZImageCatalogueMain", "SlideShowOriginalImage" )

Definition at line 40 of file slideshow.php.

## ◆ $t

if ($SlideShowHeaderFooter=="disabled") $t

Initial value:
= new eZTemplate( "kernel/ezimagecatalogue/user/" . $ini->variable( "eZImageCatalogueMain", "TemplateDir" ),
"kernel/ezimagecatalogue/user/intl/", $Language, "slideshow.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: slideshow.php:37
$ini
$ini
Definition: slideshow.php:36

Definition at line 47 of file slideshow.php.

## ◆ else

if ($current<($slideshow->size() - 1)) else

Initial value:
{
if ( $SlideShowOriginalImage == "enabled" )
{
$variation = $image;
}
else
{
$variation =& $image->requestImageVariation( $ini->variable( "eZImageCatalogueMain", "ImageViewWidth" ),
$ini->variable( "eZImageCatalogueMain", "ImageViewHeight" ) );
}
$t->set_var( "image_uri", "/" . $variation->imagePath( true ) )
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$SlideShowOriginalImage
$SlideShowOriginalImage
Definition: slideshow.php:40
$t
if( $SlideShowHeaderFooter=="disabled") $t
Definition: slideshow.php:47
$image
$image
Definition: slideshow.php:72

Definition at line 78 of file slideshow.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.